Node 12 is now LTS

Node 12 is now the official LTS version, but it seems that Theia is not yet compatible with Node 12. Do you have any insight on what is the specific change between Node 10 and Node 12 that breaks Theia?

[original thread by Dominique Rochefort]

I think we’re waiting for new Electron build supporting nodejs 12
related topics:


[Dominique Rochefort]

Thanks @florentbenoit for the head’s up!

[Thierry Le Gal]

Hello @florentbenoit, not sure to understand what you mean as I think Electron is already supporting nodejs 12 from v5.x.y onwards and Electron announces “Electron 4.x.y has reached end-of-support as per the project’s support policy. Developers and applications are encouraged to upgrade to a newer version of Electron”

Hi Thierry, yes support is there but it doesn’t mean it works perfectly
We’re tracking https://github.com/microsoft/vscode/labels/electron-6.0.x-update and wait that issues are being solved before updating